## glob2 0.9.4.1

=== SConstruct ===
EnsureSConsVersion(0, 96, 92)
import sys
import os
import glob
sys.path.append( os.path.abspath("scons") )
import bundle
import dmg
import nsis

isWindowsPlatform = sys.platform=='win32'
isLinuxPlatform = sys.platform=='linux2'
isDarwinPlatform = sys.platform=='darwin'


def establish_options(env):
    opts = Options('options_cache.py')
    opts.Add("CXXFLAGS", "Manually add to the CXXFLAGS", "-g")
    opts.Add("LINKFLAGS", "Manually add to the LINKFLAGS", "-g")
    if isDarwinPlatform:
        opts.Add(PathOption("INSTALLDIR", "Installation Directory", "./"))
    else:
	    opts.Add("INSTALLDIR", "Installation Directory", "/usr/local/share")
    opts.Add("BINDIR", "Binary Installation Directory", "/usr/local/bin")
    opts.Add("DATADIR", "Directory where data will be put, set to the same as INSTALLDIR", "/usr/local/share")
    opts.Add(BoolOption("release", "Build for release", 0))
    opts.Add(BoolOption("profile", "Build with profiling on", 0))
    opts.Add(BoolOption("mingw", "Build with mingw enabled if not auto-detected", 0))
    opts.Add(BoolOption("server", "Build only the YOG server, excluding the game and any GUI/sound components", 0))
    opts.Add("font", "Build the game using an alternative font placed in the data/font folder", "sans.ttf")
    Help(opts.GenerateHelpText(env))
    opts.Update(env)
    opts.Save("options_cache.py", env)
    
    
class Configuration:
    """Handles the config.h file"""
    def __init__(self):
        self.f = open("config.h", 'w')
        self.f.write("// config.h. Generated by scons\n")
        self.f.write("\n")
    def add(self, variable, doc, value=""):
        self.f.write("// %s\n" % doc)
        self.f.write("#define %s %s\n" % (variable, value))
        self.f.write("\n")
    
def configure(env):
    """Configures glob2"""
    conf = Configure(env.Clone())
    configfile = Configuration()
    configfile.add("PACKAGE", "Name of package", "\"glob2\"")
    configfile.add("PACKAGE_BUGREPORT", "Define to the address where bug reports for this package should be sent.", "\"glob2-devel@nongnu.org\"")
    if isDarwinPlatform:
        configfile.add("PACKAGE_DATA_DIR", "data directory", "\"" + env["DATADIR"] + "../Resources/\"")
    else:
    	configfile.add("PACKAGE_DATA_DIR", "data directory", "\"" + env["DATADIR"] + "\"")
    configfile.add("PACKAGE_SOURCE_DIR", "source directory", "\"" +env.Dir("#").abspath.replace("\\", "\\\\") + "\"")
    configfile.add("PACKAGE_NAME", "Define to the full name of this package.", "\"Globulation 2\"")
    configfile.add("PACKAGE_TARNAME", "Define to the one symbol short name of this package.", "\"glob2\"")
    configfile.add("PACKAGE_VERSION", "Define to the version of this package.", "\""+env["VERSION"]+"\"")
    configfile.add("AUDIO_RECORDER_OSS", "Set the audio input type to OSS; the UNIX Open Sound System")
    if isDarwinPlatform:
        configfile.add("USE_OSX", "Set when this build is OSX")
    if env['mingw'] or isWindowsPlatform:
        configfile.add("USE_WIN32", "Set when this build is Win32")
    configfile.add("PRIMARY_FONT", "This is the primary font Globulation 2 will use", "\"" + env["font"] + "\"")

        
    server_only=False
    if env['server']:
        env.Append(CPPDEFINES=["YOG_SERVER_ONLY"])
        server_only=True

    missing=[]

    env.Append(CPPDEFINES=["HAVE_CONFIG_H"])
    #Simple checks for required libraries
    if not conf.CheckLib("SDL") and not server_only:
        print "Could not find libSDL"
        missing.append("SDL")
    if not conf.CheckLib("SDL_ttf") and not server_only:
        print "Could not find libSDL_ttf"
        missing.append("SDL_ttf")
    if not conf.CheckLib("SDL_image") and not server_only:
        print "Could not find libSDL_image"
        missing.append("SDL_image")
    if not conf.CheckLib("SDL_net") and not server_only:
        print "Could not find libSDL_net"
        missing.append("SDL_net")
    if not conf.CheckLib("speex") or not conf.CheckCXXHeader("speex/speex.h") and not server_only:
        print "Could not find libspeex or could not find 'speex/speex.h'"
        missing.append("speex")
    if not conf.CheckLib("vorbisfile") and not server_only:
        print "Could not find libvorbisfile"
        missing.append("vorbisfile")
    if not conf.CheckLib("vorbis") and not server_only:
        print "Could not find libvorbis"
        missing.append("vorbis")
    if not conf.CheckLib("ogg") and not server_only:
        print "Could not find libogg"
        missing.append("ogg")
    if not conf.CheckCXXHeader("zlib.h"):
        print "Could not find zlib.h"
        missing.append("zlib")
    else:
        if conf.CheckLib("z"):
            env.Append(LIBS="z")
        elif conf.CheckLib("zlib1"):
            env.Append(LIBS="zlib1")
        else:
            print "Could not find libz or zlib1.dll"
            missing.append("zlib")

    boost_thread = ''
    if conf.CheckLib("boost_thread") and conf.CheckCXXHeader("boost/thread/thread.hpp"):
        boost_thread="boost_thread"
    elif conf.CheckLib("boost_thread-mt") and conf.CheckCXXHeader("boost/thread/thread.hpp"):
        boost_thread="boost_thread-mt"
    else:
        print "Could not find libboost_thread or libboost_thread-mt or boost/thread/thread.hpp"
        missing.append("libboost_thread")
    env.Append(LIBS=[boost_thread])
    
    boost_date_time = ''
    if conf.CheckLib("boost_date_time") and conf.CheckCXXHeader("boost/date_time/posix_time/posix_time.hpp"):
        boost_thread="boost_thread"
    elif conf.CheckLib("boost_date_time-mt") and conf.CheckCXXHeader("boost/date_time/posix_time/posix_time.hpp"):
        boost_thread="boost_thread-mt"
    else:
        print "Could not find libboost_date_time or libboost_date_time-mt or boost/thread/thread.hpp"
        missing.append("libboost_date_time")
    env.Append(LIBS=[boost_date_time])
    

    if not conf.CheckCXXHeader("boost/shared_ptr.hpp"):
        print "Could not find boost/shared_ptr.hpp"
        missing.append("boost/shared_ptr.hpp")
    if not conf.CheckCXXHeader("boost/tuple/tuple.hpp"):
        print "Could not find boost/tuple/tuple.hpp"
        missing.append("boost/tuple/tuple.hpp")
    if not conf.CheckCXXHeader("boost/tuple/tuple_comparison.hpp"):
        print "Could not find boost/tuple/tuple_comparison.hpp"
        missing.append("boost/tuple/tuple_comparison.hpp")
    if not conf.CheckCXXHeader("boost/logic/tribool.hpp"):
        print "Could not find boost/logic/tribool.hpp"
        missing.append("boost/logic/tribool.hpp")
    if not conf.CheckCXXHeader("boost/lexical_cast.hpp"):
        print "Could not find boost/lexical_cast.hpp"
        missing.append("boost/lexical_cast.hpp")
     
    #Do checks for OpenGL, which is different on every system
    gl_libraries = []
    if isDarwinPlatform and not server_only:
        print "Using Apple's OpenGL framework"
        env.Append(FRAMEWORKS="OpenGL")
    elif conf.CheckLib("GL") and conf.CheckCXXHeader("GL/gl.h") and not server_only:
        gl_libraries.append("GL")
    elif conf.CheckLib("GL") and conf.CheckCXXHeader("OpenGL/gl.h") and not server_only:
        gl_libraries.append("GL")
    elif conf.CheckLib("opengl32") and conf.CheckCXXHeader("GL/gl.h") and not server_only:
        gl_libraries.append("opengl32")
    elif not server_only:
        print "Could not find libGL or opengl32, or could not find GL/gl.h or OpenGL/gl.h"
        missing.append("OpenGL")

    #Do checks for GLU, which is different on every system
    if isDarwinPlatform and not server_only:
        print "Using Apple's GLUT framework"
        env.Append(FRAMEWORKS="GLUT")
    elif conf.CheckLib('GLU') and conf.CheckCXXHeader("GL/glu.h") and not server_only:
        gl_libraries.append("GLU")
    elif conf.CheckLib('GLU') and conf.CheckCXXHeader("OpenGL/glu.h") and not server_only:
        gl_libraries.append("GLU")
    elif conf.CheckLib('glu32') and conf.CheckCXXHeader('GL/glu.h') and not server_only:
        gl_libraries.append("glu32")
    elif not server_only:
        print "Could not find libGLU or glu32, or could not find GL/glu.h or OpenGL/glu.h"
        missing.append("GLU")
    
    if gl_libraries or isDarwinPlatform:
        configfile.add("HAVE_OPENGL ", "Defined when OpenGL support is present and compiled")
        env.Append(LIBS=gl_libraries)
    
    #Do checks for fribidi
    if conf.CheckLib('fribidi') and conf.CheckCXXHeader('fribidi/fribidi.h'):
        configfile.add("HAVE_FRIBIDI ", "Defined when FRIBIDI support is present and compiled")
        env.Append(LIBS=['fribidi'])

    #Do checks for portaudio
    if conf.CheckLib('portaudio') and conf.CheckCXXHeader('portaudio.h'):
        if env['mingw'] or isWindowsPlatform:
            print "--------"
            print "NOTE: It appears you are compiling under Windows. At this stage, PortAudio crashes Globulation 2 when voice chat is used."
            print "NOTE: Disabling PortAudio in this build (you will be unable to use Voice Chat ingame)."
            print "--------"
        else:
            if GetOption('portaudio'):
                print "trying to use portaudio"
                configfile.add("HAVE_PORTAUDIO ", "Defined when Port Audio support is present and compiled")
                env.Append(LIBS=['portaudio'])
            else:
                print "         no portaudio"
                print "         no portaudio - although portaudio was found to be installed, you have "
                print "         no portaudio - to explicitly activate it using: "
                print "         no portaudio - $ scons --portaudio=true"
                print "         no portaudio - this may not work properly if the version of portaudio"
                print "         no portaudio - is wrong. portaudio is used to allow communicating over VOIP"
                print "         no portaudio"
                print "         no portaudio - if you know of a solution to detect portaudio version"
                print "         no portaudio - let us know at:"
                print "         no portaudio - https://savannah.nongnu.org/bugs/index.php?24668"
                print "         no portaudio"
        
    if missing:
        for t in missing:
            print "Missing %s" % t
        Exit(1)
       
    conf.Finish()

def main():
    AddOption('--portaudio',
              dest='portaudio',
              type='string',
              nargs=1,
              action='store',
              metavar='portaudio',
              help='should portaudio be used')
    env = Environment()
    try:
        env.Clone()
    except AttributeError:
        env.Clone = env.Copy
    
    if not env['CC']:
        print "No compiler found in PATH. Please install gcc or another compiler."
        Exit(1)
    
    env["VERSION"] = "0.9.4.1"
    establish_options(env)
    #Add the paths to important mingw libraries
    if env['mingw'] or isWindowsPlatform:
        env.Append(LIBPATH=["C:/msys/1.0/local/lib", "C:/msys/1.0/lib"])
        env.Append(CPPPATH=["C:/msys/1.0/local/include/SDL", "C:/msys/1.0/local/include", "C:/msys/1.0/include/SDL", "C:/msys/1.0/include"])
    if isDarwinPlatform:
        env.Append(LIBPATH=["/sw/lib"])
        env.Append(CPPPATH=["/sw/include"])
    configure(env)
    env.Append(CPPPATH=['#libgag/include', '#'])
    if env['release']:
        env.Append(CXXFLAGS=' -O2')
        env.Append(LINKFLAGS=' -O2')
    if env['profile']:
        env.Append(CXXFLAGS=' -pg')
        env.Append(LINKFLAGS='-pg')
        env.Append(CXXFLAGS=' -O2')
        env.Append(LINKFLAGS='-O2')
    if env['mingw'] or isWindowsPlatform:
        env.Append(LIBPATH=['/usr/local/lib'])
        env.Append(LIBS=['wsock32', 'winmm', 'mingw32', 'SDLmain', 'SDL'])
        env.Append(LINKFLAGS=['-mwindows'])
        env.Append(CPPPATH=['/usr/local/include/SDL'])
        env.Append(CPPDEFINES=['-D_GNU_SOURCE=1', '-Dmain=SDL_main'])
    else:
        env.ParseConfig("sdl-config --cflags")

## glob2 0.9.4.4

=== SConstruct ===
--- 
+++ 
@@ -30,8 +30,8 @@
     Help(opts.GenerateHelpText(env))
     opts.Update(env)
     opts.Save("options_cache.py", env)
-    
-    
+
+
 class Configuration:
     """Handles the config.h file"""
     def __init__(self):
@@ -42,7 +42,7 @@
         self.f.write("// %s\n" % doc)
         self.f.write("#define %s %s\n" % (variable, value))
         self.f.write("\n")
-    
+
 def configure(env):
     """Configures glob2"""
     conf = Configure(env.Clone())
@@ -64,7 +64,7 @@
         configfile.add("USE_WIN32", "Set when this build is Win32")
     configfile.add("PRIMARY_FONT", "This is the primary font Globulation 2 will use", "\"" + env["font"] + "\"")
 
-        
+
     server_only=False
     if env['server']:
         env.Append(CPPDEFINES=["YOG_SERVER_ONLY"])
@@ -119,7 +119,7 @@
         print "Could not find libboost_thread or libboost_thread-mt or boost/thread/thread.hpp"
         missing.append("libboost_thread")
     env.Append(LIBS=[boost_thread])
-    
+
     boost_date_time = ''
     if conf.CheckLib("boost_date_time") and conf.CheckCXXHeader("boost/date_time/posix_time/posix_time.hpp"):
         boost_thread="boost_thread"
@@ -129,7 +129,7 @@
         print "Could not find libboost_date_time or libboost_date_time-mt or boost/thread/thread.hpp"
         missing.append("libboost_date_time")
     env.Append(LIBS=[boost_date_time])
-    
+
 
     if not conf.CheckCXXHeader("boost/shared_ptr.hpp"):
         print "Could not find boost/shared_ptr.hpp"
@@ -146,7 +146,7 @@
     if not conf.CheckCXXHeader("boost/lexical_cast.hpp"):
         print "Could not find boost/lexical_cast.hpp"
         missing.append("boost/lexical_cast.hpp")
-     
+
     #Do checks for OpenGL, which is different on every system
     gl_libraries = []
     if isDarwinPlatform and not server_only:
@@ -175,11 +175,11 @@
     elif not server_only:
         print "Could not find libGLU or glu32, or could not find GL/glu.h or OpenGL/glu.h"
         missing.append("GLU")
-    
+
     if gl_libraries or isDarwinPlatform:
         configfile.add("HAVE_OPENGL ", "Defined when OpenGL support is present and compiled")
         env.Append(LIBS=gl_libraries)
-    
+
     #Do checks for fribidi
     if conf.CheckLib('fribidi') and conf.CheckCXXHeader('fribidi/fribidi.h'):
         configfile.add("HAVE_FRIBIDI ", "Defined when FRIBIDI support is present and compiled")
@@ -209,12 +209,12 @@
                 print "         no portaudio - let us know at:"
                 print "         no portaudio - https://savannah.nongnu.org/bugs/index.php?24668"
                 print "         no portaudio"
-        
+
     if missing:
         for t in missing:
             print "Missing %s" % t
         Exit(1)
-       
+
     conf.Finish()
 
 def main():
@@ -230,12 +230,12 @@
         env.Clone()
     except AttributeError:
         env.Clone = env.Copy
-    
+
     if not env['CC']:
         print "No compiler found in PATH. Please install gcc or another compiler."
         Exit(1)
-    
-    env["VERSION"] = "0.9.4.1"
+
+    env["VERSION"] = "0.9.4.4"
     establish_options(env)
     #Add the paths to important mingw libraries
     if env['mingw'] or isWindowsPlatform:
@@ -262,3 +262,4 @@
         env.Append(CPPDEFINES=['-D_GNU_SOURCE=1', '-Dmain=SDL_main'])
     else:
         env.ParseConfig("sdl-config --cflags")
+        env.ParseConfig("sdl-config --libs")

=== debian/changelog ===
glob2 (0.9.4.4-9build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:08:24 +0200

glob2 (0.9.4.4-9build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:58:00 +0200

glob2 (0.9.4.4-9) unstable; urgency=medium

  * Update my email
  * Rewrite d/copyright in machine-readable format

 -- Alexandre Detiste <tchet@debian.org>  Sat, 05 Jul 2025 13:17:48 +0200

glob2 (0.9.4.4-8) unstable; urgency=medium

  * Adopt game inside Games Team (Closes: #845283)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Mar 2025 14:28:02 +0200

glob2 (0.9.4.4-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Fix day-of-week for changelog entry 0.9.4.4-2.1.
  * Replaced obsolete libfreetype6-dev build depend with libfreetype-dev,
  * Adjusted d/rules clean target to make package rebuildable
    (Closes: #1044445).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 29 May 2024 22:37:18 +0200

glob2 (0.9.4.4-6) unstable; urgency=medium

  * QA upload.
  * SConstruct: Explicitly add SOURCE_DATE_EPOCH to the environment.
    (Closes: #1010466)
  * debian/control: Update to debhelper-compat 13.
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 02 May 2022 07:40:16 -0700

glob2 (0.9.4.4-5) unstable; urgency=low

  * QA upload.
  * debian/rules: Drop override_dh_auto_clean. (Closes: #975201)

 -- Adrian Bunk <bunk@debian.org>  Sat, 02 Jan 2021 00:01:55 +0200

glob2 (0.9.4.4-4) unstable; urgency=low

  * QA upload.
  * Add patch for FTBFS with Boost >= 1.69. (Closes: #960422)

 -- Adrian Bunk <bunk@debian.org>  Tue, 02 Jun 2020 13:56:20 +0300

glob2 (0.9.4.4-3) unstable; urgency=medium

  * QA upload.
  * Orphan package. (see: #845283)
  * Fix build with Python3-enabled scons. (Closes: #947563)
  * Convert to source format 3.0 (quilt).
  * Convert to dh-style build.
  * Update to debhelper compat 12.
  * Update Standards-Version to 4.5.0:
    - drop menu file
    - declare that d/rules does not require root
  * Drop ancient version restrictions.
  * Drop unneeded d/*.dirs and README.source.
  * Mark glob2-data as Multi-Arch: foreign.
  * Build with all hardening options.
  * Remove trailing whitespace from d/changelog.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 02 Feb 2020 14:42:49 +0100

glob2 (0.9.4.4-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing build-arch and build-indep targets to debian/rules.
    Thanks to Santiago Vila for the patch. (Closes: #821987)
  * Add glob2-gcc6.patch and fix FTBFS with GCC-6. Thanks to Graham Inggs and
    Leo Wandersleb for the patch. (Closes: #812167)
  * debian/rules: Replace deprecated dh_clean -k with dh_prep.

 -- Markus Koschany <apo@debian.org>  Wed, 28 Sep 2016 22:26:07 +0200

glob2 (0.9.4.4-2.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Matthias Klose ]
  * Fix build failure with GCC 5.

  [ Markus Koschany ]
  * Update glob2.menu. Add longtitle and icon entry.
  * Install glob2-32x32.xpm to /usr/share/pixmaps. Closes: #737904.

  [ Justin B Rye ]
  * Update package descriptions. Closes: #785609.

 -- Matthias Klose <doko@debian.org>  Fri, 28 Aug 2015 19:27:48 +0200

glob2 (0.9.4.4-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failures with recent GCC and scons versions (Sphinx Jiang).
    Closes: #746854.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 13:39:32 +0200

glob2 (0.9.4.4-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build against boost1.53, build depend on boost-system. (Closes: #701288)
  * Added missing pthread lib to link, fixing FTBFS. (Closes: #713610)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 01 Aug 2013 11:47:01 +0100

glob2 (0.9.4.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/tutorial-part4.map.uuencode:
    - Patch tutorial-part4.map to adjust size of the map in order to fix
      a runtime crash during the game (Closes: #595448).
  * debian/control:
    - Build-depend on bspatch and sharutils, bspatch and uudecode needed.
  * debian/rules:
    - UUdecode patch and apply to binary file.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 24 Aug 2011 00:29:16 +0200

glob2 (0.9.4.4-2) unstable; urgency=low

  * Acknowledged NMU.  Thank you, Gregor!
  * debian/rules: Added a patch from Ubuntu to FTBFS with Python 2.6
    (closes: #554190).  Thanks, Ilya Barygin!
  * debian/control:
    - Bumped Standards-Version to 3.8.4 (no changes).
    - Added ${misc:Depends} to glob2 and glob2-data.

 -- David Martínez Moreno <ender@debian.org>  Wed, 12 May 2010 12:11:25 +0200

glob2 (0.9.4.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with GCC 4.4: 'class GAGCore::StreamBackend' has no
    member named 'getc'", apply patch frum Ubuntu, thanks to Ilya Barygin
    (closes: #553706).

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Dec 2009 19:34:33 +0100

glob2 (0.9.4.4-1) unstable; urgency=low

  * New upstream release (closes: #549947).  Thanks, Gerfried Fuchs, for
    pushing this forward and some fixes in this release.  Main changes
    are:
    - Rare bug fixed which made glob2 to crash.
    - Corrupted tutorials and bugs in editor fixed.
  * Change patch 02_upstream_changelog to work with source format 3.0
    (quilt).  This should have been part of the fix for #485248.
  * debian/copyright: Add the word Copyright to the debian copyright.
  * Add README.source about quilt, thus fixing lintian warning.

 -- David Martínez Moreno <ender@debian.org>  Sun, 25 Oct 2009 10:16:13 +0100

glob2 (0.9.4.1-1) unstable; urgency=low



=== debian/control ===
Source: glob2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 bsdiff,
 libboost-date-time-dev,
 libboost-dev,
 libboost-math-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libfreetype-dev,
 libfribidi-dev,
 libglu1-mesa-dev | libglu-dev,
 libsdl-image1.2-dev,
 libsdl-net1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 libspeex-dev,
 libvorbis-dev,
 portaudio19-dev,
 scons,
 sharutils,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://globulation2.org
Vcs-Browser: https://salsa.debian.org/games-team/glob2
Vcs-Git: https://salsa.debian.org/games-team/glob2.git
X-Style: black

Package: glob2
Architecture: any
Depends:
 glob2-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: innovative Real Time Strategy game
 Globulation 2 is an ongoing, multi-platform project to create innovative
 high-quality RTS gameplay, minimizing micro-management and assigning tasks
 to the units automatically. You just have to order the number of units you
 want for a selected task and the units will do their best to satisfy your
 requirements.
 .
 Glob2 can be played by a single player, through your Local Area Network,
 or over the Internet, thanks to the Ysagoon Online Gaming meta-server. It
 also features a scripting language for versatile gameplay and an integrated
 map editor.

Package: glob2-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: innovative Real Time Strategy game - data files
 Globulation 2 is an ongoing, multi-platform project to create innovative
 high-quality RTS gameplay, minimizing micro-management and assigning tasks
 to the units automatically. You just have to order the number of units you
 want for a selected task and the units will do their best to satisfy your
 requirements.
 .
 This package provides the images, maps, and other architecture-independent
 data files for Globulation 2.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILD_FLAGS=--portaudio=true
BUILD_FLAGS+=INSTALLDIR=$(CURDIR)/debian/tmp/usr/share/games/ BINDIR=$(CURDIR)/debian/tmp/usr/games/
BUILD_FLAGS+=LINKFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
BUILD_FLAGS+=CXXFLAGS="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)"

%:
	dh $@

override_dh_auto_build:
	scons $(BUILD_FLAGS)

execute_before_dh_auto_clean:
	scons -c $(BUILD_FLAGS)
	$(RM) -r .sconf_temp .sconsign.dblite

override_dh_auto_install:
	scons install $(BUILD_FLAGS)
	uudecode -o debian/patches/tutorial-part4.map.bspatch debian/patches/tutorial-part4.map.uuencode
	bspatch campaigns/tutorial-part4.map \
		debian/tmp/usr/share/games/glob2/campaigns/tutorial-part4.map \
		debian/patches/tutorial-part4.map.bspatch
	chmod 644 debian/tmp/usr/share/games/glob2/campaigns/Tutorial_Campaign.txt

## glob2 8a72bcef0203

=== SConstruct ===
EnsureSConsVersion(0, 96, 92)
import sys
import os
import glob
sys.path.append( os.path.abspath("scons") )
import bundle
import dmg
import nsis

isWindowsPlatform = sys.platform=='win32'
isLinuxPlatform = sys.platform=='linux2'
isDarwinPlatform = sys.platform=='darwin'


def establish_options(env):
    opts = Options('options_cache.py')
    opts.Add("CXXFLAGS", "Manually add to the CXXFLAGS", "-g")
    opts.Add("LINKFLAGS", "Manually add to the LINKFLAGS", "-g")
    if isDarwinPlatform:
    	opts.Add(PathOption("INSTALLDIR", "Installation Directory", "./"))
    else:
	    opts.Add("INSTALLDIR", "Installation Directory", "/usr/local/share")
    opts.Add("BINDIR", "Binary Installation Directory", "/usr/local/bin")
    opts.Add("DATADIR", "Directory where data will be put, set to the same as INSTALLDIR", "/usr/local/share")
    opts.Add(BoolOption("release", "Build for release", 1))
    opts.Add(BoolOption("profile", "Build with profiling on", 0))
    opts.Add(BoolOption("mingw", "Build with mingw enabled if not auto-detected", 0))
    Help(opts.GenerateHelpText(env))
    opts.Update(env)
    opts.Save("options_cache.py", env)
    
    
class Configuration:
    """Handles the config.h file"""
    def __init__(self):
        self.f = open("config.h", 'w')
        self.f.write("// config.h. Generated by scons\n")
        self.f.write("\n")
    def add(self, variable, doc, value=""):
        self.f.write("// %s\n" % doc)
        self.f.write("#define %s %s\n" % (variable, value))
        self.f.write("\n")
    
def configure(env):
    """Configures glob2"""
    conf = Configure(env.Clone())
    configfile = Configuration()
    configfile.add("PACKAGE", "Name of package", "\"glob2\"")
    configfile.add("PACKAGE_BUGREPORT", "Define to the address where bug reports for this package should be sent.", "\"glob2-devel@nongnu.org\"")
    if isDarwinPlatform:
    	configfile.add("PACKAGE_DATA_DIR", "data directory", "\"" + env["DATADIR"] + "../Resources/\"")
    else:
    	configfile.add("PACKAGE_DATA_DIR", "data directory", "\"" + env["DATADIR"] + "\"")
    configfile.add("PACKAGE_SOURCE_DIR", "source directory", "\"" +env.Dir("#").abspath.replace("\\", "\\\\") + "\"")
    configfile.add("PACKAGE_NAME", "Define to the full name of this package.", "\"Globulation 2\"")
    configfile.add("PACKAGE_TARNAME", "Define to the one symbol short name of this package.", "\"glob2\"")
    configfile.add("PACKAGE_VERSION", "Define to the version of this package.", "\""+env["VERSION"]+"\"")
    configfile.add("AUDIO_RECORDER_OSS", "Set the audio input type to OSS; the UNIX Open Sound System")
    if isDarwinPlatform:
        configfile.add("USE_OSX", "Set when this build is OSX")
    if isWindowsPlatform:
        configfile.add("USE_WIN32", "Set when this build is Win32")

    missing=[]

    env.Append(CPPDEFINES=["HAVE_CONFIG_H"])
    #Simple checks for required libraries
    if not conf.CheckLib("SDL"):
        print "Could not find libSDL"
        missing.append("SDL")
    if not conf.CheckLib("SDL_ttf"):
        print "Could not find libSDL_ttf"
        missing.append("SDL_ttf")
    if not conf.CheckLib("SDL_image"):
        print "Could not find libSDL_image"
        missing.append("SDL_image")
    if not conf.CheckLib("SDL_net"):
        print "Could not find libSDL_net"
        missing.append("SDL_net")
    if not conf.CheckLib("speex") or not conf.CheckCXXHeader("speex/speex.h"):
        print "Could not find libspeex or could not find 'speex/speex.h'"
        missing.append("speex")
    if not conf.CheckLib("vorbisfile"):
        print "Could not find libvorbisfile"
        missing.append("vorbisfile")
    if not conf.CheckLib("vorbis"):
        print "Could not find libvorbis"
        missing.append("vorbis")
    if not conf.CheckLib("ogg"):
        print "Could not find libogg"
        missing.append("ogg")
    if not conf.CheckCXXHeader("zlib.h"):
        print "Could not find zlib.h"
        missing.append("zlib")
    else:
        if conf.CheckLib("z"):
            env.Append(LIBS="z")
        elif conf.CheckLib("zlib1"):
            env.Append(LIBS="zlib1")
        else:
            print "Could not find libz or zlib1.dll"
            missing.append("zlib")

    boost_thread = ''
    if conf.CheckLib("boost_thread") and conf.CheckCXXHeader("boost/thread/thread.hpp"):
        boost_thread="boost_thread"
    elif conf.CheckLib("boost_thread-mt") and conf.CheckCXXHeader("boost/thread/thread.hpp"):
        boost_thread="boost_thread-mt"
    else:
        print "Could not find libboost_thread or libboost_thread-mt or boost/thread/thread.hpp"
        missing.append("libboost_thread")
    env.Append(LIBS=[boost_thread])
    

    if not conf.CheckCXXHeader("boost/shared_ptr.hpp"):
        print "Could not find boost/shared_ptr.hpp"
        missing.append("boost/shared_ptr.hpp")
    if not conf.CheckCXXHeader("boost/tuple/tuple.hpp"):
        print "Could not find boost/tuple/tuple.hpp"
        missing.append("boost/tuple/tuple.hpp")
    if not conf.CheckCXXHeader("boost/tuple/tuple_comparison.hpp"):
        print "Could not find boost/tuple/tuple_comparison.hpp"
        missing.append("boost/tuple/tuple_comparison.hpp")
    if not conf.CheckCXXHeader("boost/logic/tribool.hpp"):
        print "Could not find boost/logic/tribool.hpp"
        missing.append("boost/logic/tribool.hpp")
    if not conf.CheckCXXHeader("boost/lexical_cast.hpp"):
        print "Could not find boost/lexical_cast.hpp"
        missing.append("boost/lexical_cast.hpp")
    if not conf.CheckCXXHeader("boost/date_time/posix_time/posix_time.hpp"):
        print "Could not find boost/date_time/posix_time/posix_time.hpp"
        missing.append("boost/date_time/posix_time/posix_time.hpp")
     
    #Do checks for OpenGL, which is different on every system
    gl_libraries = []
    if isDarwinPlatform:
    	print "Using Apple's OpenGL framework"
    	env.Append(FRAMEWORKS="OpenGL")
    elif conf.CheckLib("GL") and conf.CheckCXXHeader("GL/gl.h"):
        gl_libraries.append("GL")
    elif conf.CheckLib("GL") and conf.CheckCXXHeader("OpenGL/gl.h"):
        gl_libraries.append("GL")
    elif conf.CheckLib("opengl32") and conf.CheckCXXHeader("GL/gl.h"):
        gl_libraries.append("opengl32")

    else:
        print "Could not find libGL or opengl32, or could not find GL/gl.h or OpenGL/gl.h"
        missing.append("OpenGL")

    #Do checks for GLU, which is different on every system
    if isDarwinPlatform:
    	print "Using Apple's GLUT framework"
    	env.Append(FRAMEWORKS="GLUT")
    elif conf.CheckLib('GLU') and conf.CheckCXXHeader("GL/glu.h"):
        gl_libraries.append("GLU")
    elif conf.CheckLib('GLU') and conf.CheckCXXHeader("OpenGL/glu.h"):
        gl_libraries.append("GLU")
    elif conf.CheckLib('glu32') and conf.CheckCXXHeader('GL/glu.h'):
        gl_libraries.append("glu32")
    else:
        print "Could not find libGLU or glu32, or could not find GL/glu.h or OpenGL/glu.h"
        missing.append("GLU")
    
    if gl_libraries or isDarwinPlatform:
        configfile.add("HAVE_OPENGL ", "Defined when OpenGL support is present and compiled")
        env.Append(LIBS=gl_libraries)
    
    #Do checks for fribidi
    if conf.CheckLib('fribidi') and conf.CheckCXXHeader('fribidi/fribidi.h'):
        configfile.add("HAVE_FRIBIDI ", "Defined when FRIBIDI support is present and compiled")
        env.Append(LIBS=['fribidi'])
        
    if missing:
        for t in missing:
            print "Missing %s" % t
        Exit(1)
   		
    conf.Finish()

def main():
    env = Environment()
    try:
        env.Clone()
    except AttributeError:
        env.Clone = env.Copy
    
    if not env['CC']:
        print "No compiler found in PATH. Please install gcc or another compiler."
        Exit(1)
	
    env["VERSION"] = "0.9.3"
    establish_options(env)
    #Add the paths to important mingw libraries
    if env['mingw'] or isWindowsPlatform:
        env.Append(LIBPATH=["C:/msys/1.0/local/lib", "C:/msys/1.0/lib"])
        env.Append(CPPPATH=["C:/msys/1.0/local/include/SDL", "C:/msys/1.0/local/include", "C:/msys/1.0/include/SDL", "C:/msys/1.0/include"])
    configure(env)
    env.Append(CPPPATH=['#libgag/include', '#'])
    if env['release']:
        env.Append(CXXFLAGS=' -O2')
        env.Append(LINKFLAGS=' -O2')
    if env['profile']:
        env.Append(CXXFLAGS=' -pg')
        env.Append(LINKFLAGS='-pg')
        env.Append(CXXFLAGS=' -O2')
        env.Append(LINKFLAGS='-O2')
    if env['mingw'] or isWindowsPlatform:
        #These four options must be present before the object files when compiling in mingw
        env.Append(LINKFLAGS="-lmingw32 -lSDLmain -lSDL -mwindows")
        env.Append(LIBS=['wsock32', 'winmm'])
        env.ParseConfig("sh sdl-config --cflags")
        env.ParseConfig("sh sdl-config --libs")
    else:
        env.ParseConfig("sdl-config --cflags")
        env.ParseConfig("sdl-config --libs")
    env.Append(LIBS=['vorbisfile', 'SDL_ttf', 'SDL_image', 'SDL_net', 'speex'])
    
    env["TARFILE"] = env.Dir("#").abspath + "/glob2-" + env["VERSION"] + ".tar.gz"
    env["TARFLAGS"] = "-c -z"
    env.Alias("dist", env["TARFILE"])
    
    def PackTar(target, source):
    	if "dist" in COMMAND_LINE_TARGETS:
		    if not list(source) == source:
		        source = [source]
		        
		    for s in source:
		        if env.File(s).path.find("/") != -1:
		            new_dir = env.Dir("#").abspath + "/glob2-" + env["VERSION"] + "/"
		            f = env.Install(new_dir + env.File(s).path[:env.File(s).path.rfind("/")], s)
		            env.Tar(target, f)
		        else:
		            new_dir = env.Dir("#").abspath + "/glob2-" + env["VERSION"] + "/"
		            f = env.Install(new_dir, s)
		            env.Tar(target, f)
              
    PackTar(env["TARFILE"], Split("AUTHORS COPYING gen_inst_uninst_list.py INSTALL mkdist mkinstall mkuninstall README README.hg SConstruct"))
    #packaging for apple
    if isDarwinPlatform and env["release"]:
		bundle.generate(env)
		dmg.generate(env)
		env.Replace( 
			BUNDLE_NAME="Glob2", 
			BUNDLE_BINARIES=["src/glob2"],
			BUNDLE_RESOURCEDIRS=["data","maps", "campaigns"],
			BUNDLE_PLIST="darwin/Info.plist",
			BUNDLE_ICON="darwin/Glob2.icns" )
		bundle.createBundle(os.getcwd(), os.getcwd(), env)
		dmg.create_dmg("Glob2-%s"%env["VERSION"],"%s.app"%env["BUNDLE_NAME"],env)
		 
		#TODO mac_bundle should be dependency of Dmg:	
		arch = os.popen("uname -p").read().strip()
#		mac_packages = env.Dmg('Glob2-%s-%s.dmg'% (fullVersion, arch),  env.Dir('Glob2.app/') )
#		env.Alias("package", mac_packages)

    Export('env')
    Export('PackTar')
    SConscript("campaigns/SConscript")
    SConscript("data/SConscript")
    SConscript("fedora/SConscript")
    SConscript("gnupg/SConscript")
    SConscript("libgag/SConscript")
    SConscript("libusl/SConscript")
    SConscript("maps/SConscript")
    SConscript("scripts/SConscript")
    SConscript("scons/SConscript")
    SConscript("src/SConscript")
    SConscript("tools/SConscript")
    SConscript("windows/SConscript")
main()

=== debian/changelog ===
glob2 (beta2) unstable; urgency=low

  * Beta2

 -- Stéphane Magnenat <stephane at magnenat dot net>  Sat, 23 Feb 2008 11:03:00 +0100

glob2 (alpha23) unstable; urgency=low

  * Alpha23

 -- Stéphane Magnenat <stephane at magnenat dot net>  Tue, 17 Apr 2007 22:55:06 +0200

glob2 (alpha22) unstable; urgency=low

  * Alpha22

 -- Stephane Magnenat <stephane at magnenat dot net>  Wed,  4 Apr 2007 17:21:54 +0200

glob2 (alpha21) unstable; urgency=low

  * Alpha21

 -- Stéphane Magnenat <stephane at magnenat dot net>  Sun,  6 Aug 2006 14:44:24 +0200

glob2 (alpha20) unstable; urgency=low

  * Alpha 20 

 -- Stephane Magnenat <stephane at magnenat dot net>  Fri,  4 Aug 2006 14:36:19 -0400

glob2 (alpha19) unstable; urgency=low

  * Alpha19

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun, 12 Mar 2006 17:26:02 +0100

glob2 (alpha18) unstable; urgency=low

  * Alpha18

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun, 29 Jan 2006 19:38:55 +0100

glob2 (alpha17) unstable; urgency=low

  * Alpha17

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun, 11 Dec 2005 15:52:34 +0100

glob2 (alpha16) unstable; urgency=low

  * Alpha16

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun, 20 Nov 2005 11:03:01 +0100

glob2 (alpha15) unstable; urgency=low

  * Alpha15

 -- Stephane Magnenat <stephane at magnenat dot net>  Mon, 16 May 2005 13:34:09 +0200

glob2 (alpha14) unstable; urgency=low

  * Alpha14

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun, 24 Apr 2005 17:52:58 +0200

glob2 (alpha13) unstable; urgency=low

  * Alpha13

 -- Stephane Magnenat <stephane at magnenat dot net>  Sat, 16 Apr 2005 17:42:44 +0200

glob2 (alpha12) unstable; urgency=low

  * Alpha12

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun, 13 Feb 2005 13:01:59 +0100

glob2 (alpha11) unstable; urgency=low

  * Alpha11

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun, 16 Jan 2005 00:08:12 +0100

glob2 (alpha10) unstable; urgency=low

  * Alpha10, working version

 -- Stephane Magnenat <stephane at magnenat dot net>  Wed, 29 Dec 2004 12:20:37 +0100

glob2 (alpha10pre) unstable; urgency=low

  * Alpha10, preversion

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun, 24 Oct 2004 19:15:00 +0200

glob2 (alpha9) unstable; urgency=low

  * Alpha9

 -- Stephane Magnenat <stephane at magnenat dot net>  Fri,  8 Oct 2004 18:28:02 +0200

glob2 (alpha8) unstable; urgency=low

  * Alpha8

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun, 12 Sep 2004 21:10:04 +0200

glob2 (alpha7) unstable; urgency=low

  * Alpha7

 -- Stephane Magnenat <stephane at magnenat dot net>  Sun,  8 Aug 2004 22:00:39 +0200

glob2 (alpha6) unstable; urgency=low

  * Alpha6

 -- Stephane Magnenat <stephane at magnenat dot net>  Wed,  9 Jun 2004 21:29:08 +0200

glob2 (alpha5-post) unstable; urgency=low

  * Post Alpha5 CVS
  * Lib GLU deps changed

 -- Stephane Magnenat <stephane at magnenat dot net>  Sat, 29 May 2004 12:25:00 +0200

glob2 (alpha3) unstable; urgency=low

  * Alpha 3

 -- Vincent Deffontaines <vincent@gryzor.com>  Fri, 20 Feb 2004 11:24:21 +0100

glob2 (alpha0) unstable; urgency=low

  * Alpha version

 -- Vincent Deffontaines <vincent@gryzor.com>  Fri,  6 Feb 2004 12:22:09 +0100

glob2cvs (20040119-1) unstable; urgency=low

  * CVS Jan 19th

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon, 19 Jan 2004 12:33:22 +0100

glob2cvs (20040105-1) unstable; urgency=low

  * CVS Jan 5th

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon,  5 Jan 2004 22:44:10 +0100

glob2cvs (20031225-1) unstable; urgency=low

  * CVS Dec 25th 

 -- Vincent Deffontaines <vincent@gryzor.com>  Thu, 25 Dec 2003 21:29:48 +0100

glob2cvs (20031224-1) unstable; urgency=low

  * CVS Dec 24th (merry christmas) 

 -- Vincent Deffontaines <vincent@gryzor.com>  Thu, 25 Dec 2003 01:58:48 +0100

glob2cvs (20031127-1) unstable; urgency=low

  * CVS Nov 27th

 -- Vincent Deffontaines <vincent@gryzor.com>  Thu, 27 Nov 2003 15:31:16 +0100

glob2cvs (20031121-1) unstable; urgency=low

  * CVS Nov 21st

 -- Vincent Deffontaines <vincent@gryzor.com>  Sat, 22 Nov 2003 00:38:45 +0100

glob2cvs (20031116-3) unstable; urgency=low

  * CVS Nov 16th

 -- Vincent Deffontaines <vincent@gryzor.com>  Sun, 16 Nov 2003 14:14:16 +0100

glob2cvs (20031112-1) unstable; urgency=low

  * CVS Nov 12th

 -- Vincent Deffontaines <vincent@gryzor.com>  Wed, 12 Nov 2003 11:08:31 +0100

glob2cvs (20031111-1) unstable; urgency=low

  * CVS Nov 11th 

 -- Vincent Deffontaines <vincent@gryzor.com>  Tue, 11 Nov 2003 12:11:54 +0100

glob2cvs (20031110-1) unstable; urgency=low

  * CVS Nov 10th 

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon, 10 Nov 2003 18:19:29 +0100

glob2cvs (20031103-1) unstable; urgency=low

  * CVS Nov 3rd

 -- Vincent Deffontaines <vincent@gryzor.com>  Tue,  4 Nov 2003 01:40:57 +0100

glob2cvs (20031101-1) unstable; urgency=low

  * CVS Nov 1st 

 -- Vincent Deffontaines <vincent@gryzor.com>  Sat,  1 Nov 2003 15:07:10 +0100

glob2cvs (20031027-1) unstable; urgency=low

  * CVS Oct 27th

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon, 27 Oct 2003 10:25:45 +0100

glob2cvs (20031023-1) unstable; urgency=low

  * CVS Oct 23rd

 -- Vincent Deffontaines <vincent@gryzor.com>  Thu, 23 Oct 2003 18:02:16 +0200

glob2cvs (20031022-1) unstable; urgency=low

  * CVS Oct 22nd

 -- Vincent Deffontaines <vincent@gryzor.com>  Thu, 23 Oct 2003 01:16:34 +0200

glob2cvs (20031019-1) unstable; urgency=low

  * CVS Oct 19th

 -- Vincent Deffontaines <vincent@gryzor.com>  Sun, 19 Oct 2003 12:46:20 +0200

glob2cvs (20031010-1) unstable; urgency=low

  * CVS Oct 10th

 -- Vincent Deffontaines <vincent@gryzor.com>  Sat, 11 Oct 2003 00:43:03 +0200

glob2cvs (20031009-1) unstable; urgency=low

  * CVS Oct 9th. 

 -- Vincent Deffontaines <vincent@gryzor.com>  Thu,  9 Oct 2003 12:28:33 +0200

glob2cvs (20030715-1) unstable; urgency=low

  * CVS July 15th. 

 -- Vincent Deffontaines <vincent@gryzor.com>  Tue, 15 Jul 2003 09:53:02 +0200



=== debian/control ===
Source: glob2
Section: games
Priority: optional
Maintainer: Vincent Deffontaines <vincent@gryzor.com>
Build-Depends: debhelper (>> 4.0.0),libsdl1.2-dev (>=1.2.0),libsdl-image1.2-dev(>=1.2.0),libsdl-net1.2-dev(>=1.2.0),libvorbis-dev,libspeex-dev,libglu1-xorg-dev|libglu-dev,libboost-dev,libsdl-ttf2.0-dev,libfribidi-dev
Standards-Version: 3.5.8

Package: glob2
Architecture: any
Depends: ${shlibs:Depends},libsdl-image1.2(>=1.2.0),libsdl-net1.2(>=1.2.0),libsdl1.2-all | libsdl1.2-esd | libsdl1.2-oss | libsdl1.2-arts | libsdl1.2debian-esd | libsdl1.2debian-oss | libsdl1.2debian-arts | libsdl1.2debian-alsa, xlibmesa3-glu(>=4.0) | libglu1, libvorbis0a, libspeex1,libsdl-ttf2.0-0,libfribidi0
Conflicts: glob2cvs
Description: Glob2 is a state of the art Real Time Strategy (RTS) game.
 Globulation in a whole is an on-going project to create an innovative high 
 quality gameplay by minimizing micro-managment and assigning automatically 
 the tasks to the units. The player just has to order the number of units 
 he wants for a selected task and the units will do their best to satisfy 
 your requirements.
 Glob2 can be played by a single player, through your Local Area Network (LAN), 
 or through Internet thanks to Ysagoon Online Game (YOG), a meta-server. It 
 also features a scripting language for versatile gameplay and an integrated 
 map editor.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --bindir=/usr/games


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/glob2.sgml > glob2.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/glob2.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/glob2


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/glob2.6
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
#.PHONY: build clean binary-indep binary-arch binary install
